From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-drivers/xf86-video-amdgpu/
Date: Tue, 17 Jul 2018 14:15:41 +0000 (UTC) [thread overview]
Message-ID: <1531836921.568eca2a556b1f5ba09d5486374cec7346ab1fce.mattst88@gentoo> (raw)
commit: 568eca2a556b1f5ba09d5486374cec7346ab1fce
Author: Marty E. Plummer <hanetzer <AT> startmail <DOT> com>
AuthorDate: Tue Jul 17 00:32:31 2018 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Jul 17 14:15:21 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=568eca2a
x11-drivers/xf86-video-amdgpu: port to EAPI 7
Package-Manager: Portage-2.3.41, Repoman-2.3.9
.../xf86-video-amdgpu-18.0.1-r1.ebuild | 51 ++++++++++++++++++++++
.../xf86-video-amdgpu-9999.ebuild | 50 ++++++++++++++++-----
2 files changed, 90 insertions(+), 11 deletions(-)
diff --git a/x11-drivers/xf86-video-amdgpu/xf86-video-amdgpu-18.0.1-r1.ebuild b/x11-drivers/xf86-video-amdgpu/xf86-video-amdgpu-18.0.1-r1.ebuild
new file mode 100644
index 00000000000..f3cb6236644
--- /dev/null
+++ b/x11-drivers/xf86-video-amdgpu/xf86-video-amdgpu-18.0.1-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Accelerated Open Source driver for AMDGPU cards"
+HOMEPAGE="https://www.x.org/wiki/ https://cgit.freedesktop.org/"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://anongit.freedesktop.org/git/xorg/driver/xf86-video-amdgpu.git"
+ inherit autotools git-r3
+ LIVE_DEPEND=">=x11-misc/util-macros-1.18"
+else
+ SRC_URI="mirror://xorg/driver/${P}.tar.bz2"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+BDEPEND="
+ virtual/pkgconfig
+"
+RDEPEND="
+ >=x11-libs/libdrm-2.4.78[video_cards_amdgpu]
+ x11-libs/libpciaccess
+ x11-base/xorg-server[glamor(-),-minimal]
+"
+DEPEND="
+ ${LIVE_DEPEND}
+ ${RDEPEND}
+"
+
+src_prepare() {
+ default
+ [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+src_configure() {
+ local econfargs=(
+ --enable-glamor
+ )
+
+ econf "${econfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
diff --git a/x11-drivers/xf86-video-amdgpu/xf86-video-amdgpu-9999.ebuild b/x11-drivers/xf86-video-amdgpu/xf86-video-amdgpu-9999.ebuild
index 90a06199708..f3cb6236644 100644
--- a/x11-drivers/xf86-video-amdgpu/xf86-video-amdgpu-9999.ebuild
+++ b/x11-drivers/xf86-video-amdgpu/xf86-video-amdgpu-9999.ebuild
@@ -1,23 +1,51 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-XORG_DRI="always"
-inherit xorg-2
+EAPI=7
-if [[ ${PV} == 9999* ]]; then
- SRC_URI=""
+DESCRIPTION="Accelerated Open Source driver for AMDGPU cards"
+HOMEPAGE="https://www.x.org/wiki/ https://cgit.freedesktop.org/"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://anongit.freedesktop.org/git/xorg/driver/xf86-video-amdgpu.git"
+ inherit autotools git-r3
+ LIVE_DEPEND=">=x11-misc/util-macros-1.18"
else
+ SRC_URI="mirror://xorg/driver/${P}.tar.bz2"
KEYWORDS="~amd64 ~x86"
fi
-DESCRIPTION="Accelerated Open Source driver for AMDGPU cards"
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+BDEPEND="
+ virtual/pkgconfig
+"
+RDEPEND="
+ >=x11-libs/libdrm-2.4.78[video_cards_amdgpu]
+ x11-libs/libpciaccess
+ x11-base/xorg-server[glamor(-),-minimal]
+"
+DEPEND="
+ ${LIVE_DEPEND}
+ ${RDEPEND}
+"
-RDEPEND=">=x11-libs/libdrm-2.4.78[video_cards_amdgpu]
- x11-base/xorg-server[glamor(-)]"
-DEPEND="${RDEPEND}"
+src_prepare() {
+ default
+ [[ ${PV} == 9999 ]] && eautoreconf
+}
src_configure() {
- XORG_CONFIGURE_OPTIONS="--enable-glamor"
- xorg-2_src_configure
+ local econfargs=(
+ --enable-glamor
+ )
+
+ econf "${econfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
}
next reply other threads:[~2018-07-17 14:15 UTC|newest]
Thread overview: 63+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-07-17 14:15 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-25 2:32 [gentoo-commits] repo/gentoo:master commit in: x11-drivers/xf86-video-amdgpu/ Matt Turner
2023-08-16 22:07 Matt Turner
2023-07-24 13:39 Arthur Zamarin
2023-07-24 11:03 Jakov Smolić
2023-03-05 11:19 Sam James
2023-03-05 11:19 Sam James
2023-03-03 17:50 Matt Turner
2023-02-27 18:44 Matt Turner
2022-05-29 15:23 Matt Turner
2022-05-28 1:35 Sam James
2022-05-25 16:02 WANG Xuerui
2022-05-25 16:02 WANG Xuerui
2022-05-07 17:55 Jakov Smolić
2022-02-23 18:52 Matt Turner
2021-11-17 22:55 Georgy Yakovlev
2021-11-15 8:38 Jakov Smolić
2021-11-07 22:10 Jakov Smolić
2021-07-31 18:01 Matt Turner
2021-05-16 18:33 Georgy Yakovlev
2021-05-02 15:24 Matt Turner
2019-11-26 22:54 Matt Turner
2019-11-18 14:29 Agostino Sarubbo
2019-11-03 22:12 Matt Turner
2019-10-11 19:45 Matt Turner
2019-08-15 6:54 Georgy Yakovlev
2019-08-15 6:54 Georgy Yakovlev
2019-05-01 20:57 Matt Turner
2019-03-19 19:52 Matt Turner
2019-03-07 18:17 Matt Turner
2019-03-07 18:17 Matt Turner
2019-03-01 20:45 Mart Raudsepp
2018-10-31 22:59 Matt Turner
2018-10-27 19:36 Matt Turner
2018-10-26 0:52 Thomas Deutschmann
2018-10-25 17:38 Mikle Kolyada
2018-09-14 17:19 Matt Turner
2018-08-08 19:25 Matt Turner
2018-07-27 23:18 Matt Turner
2018-07-27 23:18 Matt Turner
2018-05-12 2:45 Matt Turner
2018-05-07 19:22 Thomas Deutschmann
2018-05-06 12:30 Mikle Kolyada
2018-03-15 16:01 Matt Turner
2018-03-02 18:06 Matt Turner
2018-03-02 18:06 Matt Turner
2017-11-25 20:10 Matt Turner
2017-09-08 10:54 Lars Wendler
2017-09-08 10:54 Lars Wendler
2017-06-01 9:13 Agostino Sarubbo
2017-05-31 13:06 Agostino Sarubbo
2017-03-16 10:20 Lars Wendler
2017-03-16 10:20 Lars Wendler
2017-03-16 10:20 Lars Wendler
2017-03-05 2:38 Matt Turner
2016-11-17 13:49 Lars Wendler
2016-11-17 13:49 Lars Wendler
2016-10-23 22:40 Matt Turner
2016-09-17 11:14 Pacho Ramos
2016-09-17 10:49 Pacho Ramos
2016-04-07 22:33 Chí-Thanh Christopher Nguyễn
2016-02-23 15:21 Chí-Thanh Christopher Nguyễn
2015-09-02 1:25 Chí-Thanh Christopher Nguyễn
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1531836921.568eca2a556b1f5ba09d5486374cec7346ab1fce.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox